Search found 28 matches

by wuji
June 6th, 2010, 7:46 pm
Forum: Eschalon: Book II Support [Linux]
Topic: Doesn't run on Ubuntu Jaunty 64b bit
Replies: 77
Views: 32778

Re: Doesn't run on Ubuntu Jaunty 64b bit

In fact I reacted to some posts implying that a developer had to constantly maintain her product for Linux, which wouldn't make much sense. So on the one hand you say that a developer doesn't have to maintain a product for Linux. On the other hand you expect some other developer to maintain their o...
by wuji
June 5th, 2010, 6:27 am
Forum: Eschalon: Book II Support [Linux]
Topic: Doesn't run on Ubuntu Jaunty 64b bit
Replies: 77
Views: 32778

Re: Doesn't run on Ubuntu Jaunty 64b bit

TheBuzzSaw wrote:Now, tell me why closed source is so wonderful again? :)
Because who really understands the alternative? Installing Ubuntu and browsing web from it doesn't allow you to understand what the opensource is about except that it looks like it's supposed to be windows for free, which it isn't.
by wuji
June 4th, 2010, 1:21 pm
Forum: Eschalon: Book II Support [Linux]
Topic: Doesn't run on Ubuntu Jaunty 64b bit
Replies: 77
Views: 32778

Re: Doesn't run on Ubuntu Jaunty 64b bit

I'd be willing to bet that there are far more Windows and OSX developers out there than Linux, especially in the gaming world. linux doesn't have enough developers who write software once and then forget about it as is the case with games. all the stuff linux is used for is developed for decades an...
by wuji
June 4th, 2010, 12:42 pm
Forum: Eschalon: Book I Support [Linux]
Topic: run eschalon book 1 on newer distributions
Replies: 8
Views: 6669

Re: run eschalon book 1 on newer distributions

what version do you run? I've had the problem with v1.04. v1.05 works out of the box. I think that it uses libopenal1 but I'm too lazy to check.
by wuji
June 4th, 2010, 12:39 pm
Forum: Eschalon: Book I Support [Linux]
Topic: No Sound?
Replies: 14
Views: 11062

Re: No Sound?

may be some incompatibility? LD_PRELOAD loads a certain library first that may override functions from other libraries, I'd asume that libaoss overrides certain function for oss sound with their own. You may try to load snd-pcm-oss to get the oss devices. this worked for me but you will have to shut...
by wuji
June 3rd, 2010, 4:37 pm
Forum: Eschalon: Book II Support [Linux]
Topic: Doesn't run on Ubuntu Jaunty 64b bit
Replies: 77
Views: 32778

Re: Doesn't run on Ubuntu Jaunty 64b bit

... and this is exactly why more people don't develop for Linux! :) Stay strong, BW! We appreciate the effort! tons of people develop for linux. they just don't bother to release binary only software because then they have to package it and test it themselves. and i don't think that increasing the ...
by wuji
May 31st, 2010, 7:07 am
Forum: Eschalon: Book I Support [Linux]
Topic: run eschalon book 1 on newer distributions
Replies: 8
Views: 6669

Re: run eschalon book 1 on newer distributions

I've been running debian for 12 year's now and I make my living using debian. None of the other distributions provide anything that would motivate me to switch. Most of them are just bloated debian anyway :D Getting weird things to run is part of the fun with linux because it is an opportunity to le...
by wuji
May 31st, 2010, 5:43 am
Forum: Eschalon: Book I Support [Linux]
Topic: run eschalon book 1 on newer distributions
Replies: 8
Views: 6669

Re: run eschalon book 1 on newer distributions

libopenal isn't dynamicly linked but dynamicaly loaded, that's why ldd doesn't show it. strace or running with LD_DEBUG=files shows system calls opening that library. And to make it more interesting, eschalon needs libopenal0 which was last packaged in debian etch. Eschalon needs a lot of libraries ...
by wuji
May 30th, 2010, 4:55 am
Forum: Eschalon: Book I Support [Linux]
Topic: run eschalon book 1 on newer distributions
Replies: 8
Views: 6669

Re: run eschalon book 1 on newer distributions

The binary tries to open libopenal0 which is in etch but not in lenny and newer distributions. The problem is, that this will keep happening with other libraries and in a year, I'll have to keep running different distribution for every binary only package I have.
by wuji
May 29th, 2010, 6:37 pm
Forum: Eschalon: Book II Support [Linux]
Topic: Doesn't run on Ubuntu Jaunty 64b bit
Replies: 77
Views: 32778

Re: Doesn't run on Ubuntu Jaunty 64b bit

actually the worst thing will be to run down and find the correct version of the other libraries like libopenal, libogg, libvorbis etc. Old library version are becoming obsolete in linux distributions and without the source code, old binaries are harder and harder to get working. I can't play eb1 on...
by wuji
May 29th, 2010, 11:42 am
Forum: Eschalon: Book I Support [Linux]
Topic: run eschalon book 1 on newer distributions
Replies: 8
Views: 6669

run eschalon book 1 on newer distributions

I've just found out that I can't get eb1 to run on standard debian because it wants older libopenal which isn't in the distribution anymore. Is there any plan to recompile binaries for newer platforms or is it just too bad?
by wuji
May 28th, 2010, 8:38 am
Forum: Eschalon: Book II Support [Linux]
Topic: Doesn't run on Ubuntu Jaunty 64b bit
Replies: 77
Views: 32778

Re: Doesn't run on Ubuntu Jaunty 64b bit

Do you have libopenal,libvorbis,libogg for 32bit installed? I think that eschalon uses ogg vorbis for sound/music and at least on debian, those libraries aren't installed in 32bit compatibility libraries. Might be the same problem with Ubuntu. Anyway I've found out that even Debian Sid doesn't have ...
by wuji
May 26th, 2010, 7:32 pm
Forum: Eschalon: Book II Support [Linux]
Topic: Doesn't run on Ubuntu Jaunty 64b bit
Replies: 77
Views: 32778

Re: Doesn't run on Ubuntu Jaunty 64b bit

so can we look forward to the recompiled version or should I start installing the chroot?:)
by wuji
May 26th, 2010, 12:05 pm
Forum: Eschalon: Book II Support [Linux]
Topic: Debian amd64, old libc6, could we get a static build?
Replies: 1
Views: 1546

Debian amd64, old libc6, could we get a static build?

Debian testing amd64 doesn't have an up to date libc6 32bit library. Could we get a statically build binary?
by wuji
May 20th, 2010, 12:25 pm
Forum: Eschalon: Book II Support [Linux]
Topic: linux version for amd64
Replies: 6
Views: 2955

Re: linux version for amd64

I don't need 64bit binary. I can run 32bit binary ona 64bit system, but if the binary is dynamic, I need all the 32bit libraries and some of those are messy to install without using chroot so it would be easier to also have a staticaly compiled 32bit library, which will work just fine.